Package de.willuhn.jameica.hbci.io

# Class AbstractSepaExporter

java.lang.Object
de.willuhn.jameica.hbci.io.AbstractExporter
de.willuhn.jameica.hbci.io.AbstractSepaExporter

All Implemented Interfaces:
  `Exporter`, `IO`

Direct Known Subclasses:
  `SepaLastschriftExporter`, `SepaSammelLastschriftExporter`, `SepaSammelUeberweisungExporter`, `SepaUeberweisungExporter`

public abstract class AbstractSepaExporter extends AbstractExporter
Abstrakte Basis-Klasse fuer SEPA-Export.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`AbstractSepaExporter.JobContext`
Container, der den Job-Context haelt.

## Field Summary

### Fields inherited from interface de.willuhn.jameica.hbci.io.Exporter

`SESSION`

## Constructor Summary

Constructors
Constructor
Description
`AbstractSepaExporter()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`exportObject(Object o, int idx, AbstractSepaExporter.JobContext ctx)`
Schreibt die Eigenschaften des Auftrages in die Properties.
`protected abstract String`
`getJobName()`
Liefert den zu verwendenden HBCI4Java-Jobname.
`String`
`getName()`
Liefert einen sprechenden Namen des Exporters/Importers.
`protected abstract org.kapott.hbci.sepa.SepaVersion.Type`
`getPainType()`
Liefert den zu verwendenden SEPA PAIN-Type.

### Methods inherited from class de.willuhn.jameica.hbci.io.AbstractExporter

`doExport, getIOFormats, suppportsExtension`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractSepaExporter

public AbstractSepaExporter()

## Method Details

### getName

public String getName()
Description copied from interface: `IO`
Liefert einen sprechenden Namen des Exporters/Importers. Z.Bsp. "Swift MT-940 Format".

Returns:
  Name

### exportObject

protected abstract void exportObject(Object o, int idx, AbstractSepaExporter.JobContext ctx) throws Exception
Schreibt die Eigenschaften des Auftrages in die Properties.

Parameters:
  `o` - das zu exportierende Objekt.
  `idx` - der Index in der Liste der Objekte.
  `ctx` - der Auftragskontext.
Throws:
  `Exception`

### getPainType

protected abstract org.kapott.hbci.sepa.SepaVersion.Type getPainType()
Liefert den zu verwendenden SEPA PAIN-Type.

Returns:
  der zu verwendende SEPA PAIN-Type.

### getJobName

protected abstract String getJobName()
Liefert den zu verwendenden HBCI4Java-Jobname.

Returns:
  der zu verwendende HBCI4Java-Jobname.